Bug 93910 - mousing over hyperlink provides no cues on how to open
Summary: mousing over hyperlink provides no cues on how to open
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-09-03 23:54 UTC by wpeaton4
Modified: 2016-10-10 10:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wpeaton4 2015-09-03 23:54:56 UTC
Ctl+Click opens a hyperlink. However someone who doesn't know does not get any kind of help or indication that this is so. Some sort of tool tip text/mouse over help should pop up to guide the user.
Comment 1 Jean-Baptiste Faure 2015-09-04 07:17:08 UTC
Confirmed in Version: 5.0.3.0.0+
Build ID: 382bdb8ea1a1aca10752e9124f4fb6bef9e755c8
Ubuntu_15.04_x86-64
Locale : fr-FR (fr_FR.UTF-8)
built at home under Ubuntu 15.04

That is a regression, it works in version 4.4 and in a previous build of L0 5.0
Version: 5.0.2.0.0+
Build ID: d75600ef299b2a8c7b269936acebe646a16e62a5
Ubuntu_15.04_x86-64
Locale : fr-FR (fr_FR.UTF-8)
Built on the same PC but installed on another


Best regards. JBF
Comment 2 Jean-Baptiste Faure 2015-09-04 07:25:54 UTC
Well "that worked before" means that previous versions show a tooltip saying how to open the hyperlink (click or ctrl+click according to your choice in security options).

Best regards. JBF
Comment 3 Jean-Baptiste Faure 2015-09-04 07:40:05 UTC
There is something problematic in the user profile. If I try with a new fresh user profile, the tooltips for hyperlinks are shown.

Please, could you try again after having reset your user profile?
https://wiki.documentfoundation.org/UserProfile

Best regards. JBF
Comment 4 Jean-Baptiste Faure 2015-09-04 08:20:04 UTC
I searched the string "tip" in expert configuration dialog and compared between 2 user profiles, one for which I have the bug and one for which I have not the bug. It appear that the configuration option that is useful here is
Preference Name: /org.openoffice.Office.Writer/Content/Display
Property: ShowContentTips
Type: boolean

If you set the value to true, the tooltip for hyperlink is shown, if you set the value to false, the tooltip is not shown.
In my user profile, the value was set to false, and it set to true in a new fresh profile.

Please could you try that and see if that fixes the problem for you?
Menu Tools > Options > LibreOffice > Advanced -> "Expert configuration" button
In the search field, type ShowContenTips (copy&paste works), click the search button
To change the value double-click on the false/true value.

Best regards. JBF
Comment 5 wpeaton4 2015-09-04 15:40:34 UTC
I looked on a couple of other machines (both Linux boxes) and those user profiles don't have this issue.

I did change the /org.openoffice.Office.Writer/Content/Display.ShowContentTips to True and after a restart of Writer, I get the tooltips/content tips. 

From one point of view, we could consider this issue as RESOLVED. But I wanted to explore another idea first. It seems like it might be possible that I never changed this parameter to false. And perhaps there are other users who would have a similar problem. How difficult would it be to reset that parameter to True automatically after an install? Is there any chance that there is a "Run Once script" that LibO runs in each profile after a new install? How are version to version configuration file changes handled on a per user configuration basis?

Bill Eaton
Comment 6 Jean-Baptiste Faure 2015-09-05 21:02:22 UTC
Thank you for your feedback.

In the case on upgrading from LO 4.4 to LO 5.0 there is no migration of the user profile. Please have a look at release notes for LO 5.0, here:
https://wiki.documentfoundation.org/ReleaseNotes/5.0#User_settings_-_location_of_the_user_profile

Best regards. JBF
Comment 7 Xisco Faulí 2016-09-11 13:55:24 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2016-10-10 10:44:38 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20161010